commit b32dd0a6b7b358f882a3fe12c94beec5ba209e67
Author: jim-p <jimp@pfsense.org>
Date:   Fri Aug 10 13:32:16 2012 -0400

    Activate new shortcuts/status in the rest of the areas that are currently setup.

diff --git a/usr/local/www/carp_status.php b/usr/local/www/carp_status.php
index bebdf94636..9749063625 100755
--- a/usr/local/www/carp_status.php
+++ b/usr/local/www/carp_status.php
@@ -90,6 +90,7 @@ if($_POST['disablecarp'] <> "") {
 $status = get_carp_status();
 
 $pgtitle = array(gettext("Status"),gettext("CARP"));
+$shortcut_section = "carp";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/diag_ipsec.php b/usr/local/www/diag_ipsec.php
index 3729fd1f8d..7e00e3c635 100644
--- a/usr/local/www/diag_ipsec.php
+++ b/usr/local/www/diag_ipsec.php
@@ -46,6 +46,7 @@
 global $g;
 
 $pgtitle = array(gettext("Status"),gettext("IPsec"));
+$shortcut_section = "ipsec";
 
 require("guiconfig.inc");
 include("head.inc");
diff --git a/usr/local/www/diag_ipsec_sad.php b/usr/local/www/diag_ipsec_sad.php
index e08feba210..ee791dd60d 100755
--- a/usr/local/www/diag_ipsec_sad.php
+++ b/usr/local/www/diag_ipsec_sad.php
@@ -47,6 +47,7 @@ require("guiconfig.inc");
 require("ipsec.inc");
 
 $pgtitle = array(gettext("Status"),gettext("IPsec"),gettext("SAD"));
+$shortcut_section = "ipsec";
 include("head.inc");
 
 $sad = ipsec_dump_sad();
diff --git a/usr/local/www/diag_ipsec_spd.php b/usr/local/www/diag_ipsec_spd.php
index 4de5a7ff68..6e8dc6700e 100755
--- a/usr/local/www/diag_ipsec_spd.php
+++ b/usr/local/www/diag_ipsec_spd.php
@@ -47,6 +47,7 @@ require("guiconfig.inc");
 require("ipsec.inc");
 
 $pgtitle = array(gettext("Status"),gettext("IPsec"),gettext("SPD"));
+$shortcut_section = "ipsec";
 include("head.inc");
 
 /* delete any SP? */
diff --git a/usr/local/www/diag_logs_auth.php b/usr/local/www/diag_logs_auth.php
index e72d391e69..8d1b3ae982 100755
--- a/usr/local/www/diag_logs_auth.php
+++ b/usr/local/www/diag_logs_auth.php
@@ -52,6 +52,7 @@ if ($_POST['clear'])
 	clear_log_file($portal_logfile);
 
 $pgtitle = array(gettext("Status"),gettext("System logs"),gettext("Portal Auth"));
+$shortcut_section = "captiveportal";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/diag_logs_dhcp.php b/usr/local/www/diag_logs_dhcp.php
index c454fc4327..1988c910ed 100755
--- a/usr/local/www/diag_logs_dhcp.php
+++ b/usr/local/www/diag_logs_dhcp.php
@@ -57,6 +57,7 @@ if ($_POST['clear']) {
 }
 
 $pgtitle = array(gettext("Status"),gettext("System logs"),gettext("DHCP"));
+$shortcut_section = "dhcp";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/diag_logs_filter.php b/usr/local/www/diag_logs_filter.php
index 136f562245..951de95865 100755
--- a/usr/local/www/diag_logs_filter.php
+++ b/usr/local/www/diag_logs_filter.php
@@ -88,6 +88,7 @@ if ($_POST['clear'])
 	clear_log_file($filter_logfile);
 
 $pgtitle = array(gettext("Status"),gettext("System logs"),gettext("Firewall"));
+$shortcut_section = "firewall";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/diag_logs_filter_dynamic.php b/usr/local/www/diag_logs_filter_dynamic.php
index c29b4e7c4b..763a7b857f 100755
--- a/usr/local/www/diag_logs_filter_dynamic.php
+++ b/usr/local/www/diag_logs_filter_dynamic.php
@@ -59,6 +59,7 @@ if ($_POST['clear'])
 $filterlog = conv_log_filter($filter_logfile, $nentries, $nentries + 100);
 
 $pgtitle = array(gettext("Status"),gettext("System logs"),gettext("Firewall (Dynamic View)"));
+$shortcut_section = "firewall";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/diag_logs_filter_summary.php b/usr/local/www/diag_logs_filter_summary.php
index e8588dadbb..17acbbc1fc 100644
--- a/usr/local/www/diag_logs_filter_summary.php
+++ b/usr/local/www/diag_logs_filter_summary.php
@@ -32,6 +32,7 @@
 */
 
 $pgtitle = gettext("Status").": ".gettext("System logs").": ".gettext("Firewall Log Summary");
+$shortcut_section = "firewall";
 require_once("guiconfig.inc");
 include_once("filter_log.inc");
 
diff --git a/usr/local/www/diag_logs_gateways.php b/usr/local/www/diag_logs_gateways.php
index aafd219904..7f574bddd9 100755
--- a/usr/local/www/diag_logs_gateways.php
+++ b/usr/local/www/diag_logs_gateways.php
@@ -64,6 +64,7 @@ if ($filtertext)
 	$filtertextmeta="?filtertext=$filtertext";
 
 $pgtitle = array(gettext("Status"),gettext("System logs"),gettext("Gateways"));
+$shortcut_section = "gateways";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/diag_logs_ipsec.php b/usr/local/www/diag_logs_ipsec.php
index aafaac2f46..b37e31c9e2 100755
--- a/usr/local/www/diag_logs_ipsec.php
+++ b/usr/local/www/diag_logs_ipsec.php
@@ -89,6 +89,7 @@ if ($_POST['clear'])
 $ipsec_logarr = return_clog($ipsec_logfile, $nentries);
 
 $pgtitle = array(gettext("Status"),gettext("System logs"),gettext("IPsec VPN"));
+$shortcut_section = "ipsec";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/diag_logs_ntpd.php b/usr/local/www/diag_logs_ntpd.php
index 9c443c7c68..f7b9fd2ff7 100644
--- a/usr/local/www/diag_logs_ntpd.php
+++ b/usr/local/www/diag_logs_ntpd.php
@@ -52,6 +52,7 @@ if ($_POST['clear'])
 	clear_log_file($ntpd_logfile);
 
 $pgtitle = array(gettext("Status"),gettext("System logs"),gettext("NTP"));
+$shortcut_section = "ntp";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/diag_logs_openvpn.php b/usr/local/www/diag_logs_openvpn.php
index 53b738b18d..a794697da6 100644
--- a/usr/local/www/diag_logs_openvpn.php
+++ b/usr/local/www/diag_logs_openvpn.php
@@ -43,6 +43,7 @@
 ##|-PRIV
 
 $pgtitle = array(gettext("Status"),gettext("System logs"),gettext("OpenVPN"));
+$shortcut_section = "openvpn";
 
 require("guiconfig.inc");
 require_once("vpn.inc");
diff --git a/usr/local/www/diag_logs_relayd.php b/usr/local/www/diag_logs_relayd.php
index 10fe576595..b7973f3710 100755
--- a/usr/local/www/diag_logs_relayd.php
+++ b/usr/local/www/diag_logs_relayd.php
@@ -53,6 +53,7 @@ if ($_POST['clear'])
 	clear_log_file($relayd_logfile);
 
 $pgtitle = array(gettext("Status"),gettext("System logs"),gettext("Load Balancer"));
+$shortcut_section = "relayd";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/diag_logs_resolver.php b/usr/local/www/diag_logs_resolver.php
index dc8a2bada0..b5266c7d74 100755
--- a/usr/local/www/diag_logs_resolver.php
+++ b/usr/local/www/diag_logs_resolver.php
@@ -45,8 +45,6 @@
 
 require("guiconfig.inc");
 
-$shortcut_section = "resolver";
-
 $system_logfile = "{$g['varlog_path']}/resolver.log";
 
 $nentries = $config['syslog']['nentries'];
@@ -66,6 +64,7 @@ if ($filtertext)
 	$filtertextmeta="?filtertext=$filtertext";
 
 $pgtitle = array(gettext("Status"),gettext("System logs"),gettext("Resolver"));
+$shortcut_section = "resolver";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/diag_logs_routing.php b/usr/local/www/diag_logs_routing.php
index 28891dac7b..57c6561841 100644
--- a/usr/local/www/diag_logs_routing.php
+++ b/usr/local/www/diag_logs_routing.php
@@ -52,6 +52,7 @@ if ($_POST['clear'])
 	clear_log_file($routing_logfile);
 
 $pgtitle = array(gettext("Status"),gettext("System logs"),gettext("Routing"));
+$shortcut_section = "routing";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/diag_logs_wireless.php b/usr/local/www/diag_logs_wireless.php
index f3a4c204a8..fe86bd7af0 100644
--- a/usr/local/www/diag_logs_wireless.php
+++ b/usr/local/www/diag_logs_wireless.php
@@ -54,6 +54,7 @@ if ($_POST['clear'])
 	clear_log_file($wireless_logfile);
 
 $pgtitle = array(gettext("Status"),gettext("System logs"),gettext("Wireless"));
+$shortcut_section = "wireless";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/diag_routes.php b/usr/local/www/diag_routes.php
index d6ebdd7c7b..980150fdb7 100644
--- a/usr/local/www/diag_routes.php
+++ b/usr/local/www/diag_routes.php
@@ -43,6 +43,7 @@
 include('guiconfig.inc');
 
 $pgtitle = array(gettext("Diagnostics"),gettext("Routing tables"));
+$shortcut_section = "routing";
 
 include('head.inc');
 
diff --git a/usr/local/www/firewall_rules.php b/usr/local/www/firewall_rules.php
index dd6c90ffef..717c194c4b 100755
--- a/usr/local/www/firewall_rules.php
+++ b/usr/local/www/firewall_rules.php
@@ -41,15 +41,13 @@
 ##|*MATCH=firewall_rules.php*
 ##|-PRIV
 
-$statusurl = "status_filter_reload.php";
-$logurl = "diag_logs_filter.php";
-
 require("guiconfig.inc");
 require_once("functions.inc");
 require_once("filter.inc");
 require_once("shaper.inc");
 
 $pgtitle = array(gettext("Firewall"),gettext("Rules"));
+$shortcut_section = "firewall";
 
 function delete_nat_association($id) {
 	global $config;
diff --git a/usr/local/www/firewall_rules_edit.php b/usr/local/www/firewall_rules_edit.php
index cfae019a89..b04a0f655b 100755
--- a/usr/local/www/firewall_rules_edit.php
+++ b/usr/local/www/firewall_rules_edit.php
@@ -658,8 +658,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Firewall"),gettext("Rules"),gettext("Edit"));
-$statusurl = "status_filter_reload.php";
-$logurl = "diag_logs_filter.php";
+$shortcut_section = "firewall";
 
 $closehead = false;
 
diff --git a/usr/local/www/firewall_shaper.php b/usr/local/www/firewall_shaper.php
index 376339766e..38a013bd89 100755
--- a/usr/local/www/firewall_shaper.php
+++ b/usr/local/www/firewall_shaper.php
@@ -52,7 +52,7 @@ if($_GET['reset'] <> "") {
 }
 
 $pgtitle = array(gettext("Firewall"),gettext("Traffic Shaper"));
-$statusurl = "status_queues.php";
+$shortcut_section = "trafficshaper";
 
 $shaperIFlist = get_configured_interface_with_descr();
 read_altq_config();
diff --git a/usr/local/www/firewall_shaper_layer7.php b/usr/local/www/firewall_shaper_layer7.php
index b1d8353da2..0cb8e30796 100755
--- a/usr/local/www/firewall_shaper_layer7.php
+++ b/usr/local/www/firewall_shaper_layer7.php
@@ -57,7 +57,7 @@ $show_proto_form = false;
 
 //More variables
 $pgtitle = array(gettext("Firewall"),gettext("Traffic Shaper"), gettext("Layer7"));
-$statusurl = "status_queues.php";
+$shortcut_section = "trafficshaper";
 
 $output_form = "";
 
diff --git a/usr/local/www/firewall_shaper_queues.php b/usr/local/www/firewall_shaper_queues.php
index 32cf251959..68989e1f5d 100755
--- a/usr/local/www/firewall_shaper_queues.php
+++ b/usr/local/www/firewall_shaper_queues.php
@@ -170,7 +170,7 @@ if ($_POST['apply']) {
 }
 
 $pgtitle = gettext("Firewall: Shaper: By Queues View");
-$statusurl = "status_queues.php";
+$shortcut_section = "trafficshaper";
 
 include("head.inc");
 ?>
diff --git a/usr/local/www/firewall_shaper_vinterface.php b/usr/local/www/firewall_shaper_vinterface.php
index ded2d041f2..245b5ba1f3 100644
--- a/usr/local/www/firewall_shaper_vinterface.php
+++ b/usr/local/www/firewall_shaper_vinterface.php
@@ -52,7 +52,7 @@ if($_GET['reset'] <> "") {
 }
 
 $pgtitle = array(gettext("Firewall"),gettext("Traffic Shaper"), gettext("Limiter"));
-$statusurl = "status_queues.php";
+$shortcut_section = "trafficshaper";
 
 read_dummynet_config();
 /* 
diff --git a/usr/local/www/firewall_shaper_wizards.php b/usr/local/www/firewall_shaper_wizards.php
index ac6d00aedd..1db1add5ff 100755
--- a/usr/local/www/firewall_shaper_wizards.php
+++ b/usr/local/www/firewall_shaper_wizards.php
@@ -71,7 +71,7 @@ if ($_POST['apply']) {
 }
 
 $pgtitle = array(gettext("Firewall"),gettext("Traffic Shaper"),gettext("Wizards"));
-$statusurl = "status_queues.php";
+$shortcut_section = "trafficshaper";
 
 $wizards = array(gettext("Single Lan multi Wan") => "traffic_shaper_wizard.xml",
                 gettext("Single Wan multi Lan") => "traffic_shaper_wizard_multi_lan.xml",
diff --git a/usr/local/www/interfaces.php b/usr/local/www/interfaces.php
index 0f994666c9..f2bb238a5c 100755
--- a/usr/local/www/interfaces.php
+++ b/usr/local/www/interfaces.php
@@ -1099,7 +1099,7 @@ foreach ($mediaopts as $mediaopt){
 }
 
 $pgtitle = array(gettext("Interfaces"), $pconfig['descr']);
-$statusurl = "status_interfaces.php";
+$shortcut_section = "interfaces";
 
 $closehead = false;
 include("head.inc");
diff --git a/usr/local/www/interfaces_assign.php b/usr/local/www/interfaces_assign.php
index 8b1f315542..565dca7ea8 100755
--- a/usr/local/www/interfaces_assign.php
+++ b/usr/local/www/interfaces_assign.php
@@ -41,7 +41,7 @@
 ##|-PRIV
 
 $pgtitle = array(gettext("Interfaces"),gettext("Assign network ports"));
-$statusurl = "status_interfaces.php";
+$shortcut_section = "interfaces";
 
 require("guiconfig.inc");
 require("functions.inc");
diff --git a/usr/local/www/interfaces_bridge.php b/usr/local/www/interfaces_bridge.php
index db878005f0..9dfdd2961e 100644
--- a/usr/local/www/interfaces_bridge.php
+++ b/usr/local/www/interfaces_bridge.php
@@ -75,6 +75,7 @@ if ($_GET['act'] == "del") {
 
 
 $pgtitle = array(gettext("Interfaces"),gettext("Bridge"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/interfaces_bridge_edit.php b/usr/local/www/interfaces_bridge_edit.php
index 7d58a6fdd2..c579708a17 100644
--- a/usr/local/www/interfaces_bridge_edit.php
+++ b/usr/local/www/interfaces_bridge_edit.php
@@ -233,6 +233,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Interfaces"),gettext("Bridge"),gettext("Edit"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/interfaces_gif.php b/usr/local/www/interfaces_gif.php
index c3b6fe4d09..415c50ab7b 100644
--- a/usr/local/www/interfaces_gif.php
+++ b/usr/local/www/interfaces_gif.php
@@ -74,6 +74,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = array(gettext("Interfaces"),gettext("GIF"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/interfaces_gif_edit.php b/usr/local/www/interfaces_gif_edit.php
index c7edf0d7b8..7421f8db68 100644
--- a/usr/local/www/interfaces_gif_edit.php
+++ b/usr/local/www/interfaces_gif_edit.php
@@ -123,6 +123,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Interfaces"),gettext("GIF"),gettext("Edit"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/interfaces_gre.php b/usr/local/www/interfaces_gre.php
index d9e19c2c62..0cb8cd7b14 100644
--- a/usr/local/www/interfaces_gre.php
+++ b/usr/local/www/interfaces_gre.php
@@ -75,6 +75,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = array(gettext("Interfaces"),gettext("GRE"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/interfaces_gre_edit.php b/usr/local/www/interfaces_gre_edit.php
index 20e157aa06..839a606b41 100644
--- a/usr/local/www/interfaces_gre_edit.php
+++ b/usr/local/www/interfaces_gre_edit.php
@@ -125,6 +125,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Interfaces"),gettext("GRE"),gettext("Edit"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/interfaces_groups.php b/usr/local/www/interfaces_groups.php
index e46652a342..deaf006457 100755
--- a/usr/local/www/interfaces_groups.php
+++ b/usr/local/www/interfaces_groups.php
@@ -61,6 +61,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = array(gettext("Interfaces"),gettext("Groups"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/interfaces_groups_edit.php b/usr/local/www/interfaces_groups_edit.php
index 2c193f641d..e1a2d6f961 100755
--- a/usr/local/www/interfaces_groups_edit.php
+++ b/usr/local/www/interfaces_groups_edit.php
@@ -42,6 +42,7 @@ require("guiconfig.inc");
 require_once("functions.inc");
 
 $pgtitle = array(gettext("Interfaces"),gettext("Groups"),gettext("Edit"));
+$shortcut_section = "interfaces";
 
 if (!is_array($config['ifgroups']['ifgroupentry']))
 	$config['ifgroups']['ifgroupentry'] = array();
diff --git a/usr/local/www/interfaces_lagg.php b/usr/local/www/interfaces_lagg.php
index baf16f5a04..fccb60fece 100644
--- a/usr/local/www/interfaces_lagg.php
+++ b/usr/local/www/interfaces_lagg.php
@@ -80,6 +80,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = array(gettext("Interfaces"),gettext("LAGG"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/interfaces_lagg_edit.php b/usr/local/www/interfaces_lagg_edit.php
index 606d06b5c0..4ddba72316 100644
--- a/usr/local/www/interfaces_lagg_edit.php
+++ b/usr/local/www/interfaces_lagg_edit.php
@@ -118,6 +118,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Interfaces"),gettext("LAGG"),gettext("Edit"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/interfaces_ppps.php b/usr/local/www/interfaces_ppps.php
index 2b5329a433..416f664e46 100644
--- a/usr/local/www/interfaces_ppps.php
+++ b/usr/local/www/interfaces_ppps.php
@@ -76,6 +76,7 @@ if (!is_array($config['ppps']['ppp']))
 $a_ppps = $config['ppps']['ppp'];
 
 $pgtitle = gettext("Interfaces: PPPs");
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/interfaces_ppps_edit.php b/usr/local/www/interfaces_ppps_edit.php
index 6f95bec326..411359f4ba 100644
--- a/usr/local/www/interfaces_ppps_edit.php
+++ b/usr/local/www/interfaces_ppps_edit.php
@@ -376,6 +376,7 @@ if ($_POST) {
 
 $closehead = false;
 $pgtitle = array(gettext("Interfaces"),gettext("PPPs"),gettext("Edit"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 $types = array("select" => gettext("Select"), "ppp" => "PPP", "pppoe" => "PPPoE", "pptp" => "PPTP",  "l2tp" => "L2TP"/*, "tcp" => "TCP", "udp" => "UDP"*/  ); 
diff --git a/usr/local/www/interfaces_qinq.php b/usr/local/www/interfaces_qinq.php
index 9316d7ed8c..003a3f4b14 100755
--- a/usr/local/www/interfaces_qinq.php
+++ b/usr/local/www/interfaces_qinq.php
@@ -84,6 +84,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = array(gettext("Interfaces"),gettext("QinQ"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/interfaces_qinq_edit.php b/usr/local/www/interfaces_qinq_edit.php
index f47b055d0b..cace70c36c 100755
--- a/usr/local/www/interfaces_qinq_edit.php
+++ b/usr/local/www/interfaces_qinq_edit.php
@@ -37,6 +37,7 @@
 ##|-PRIV
 
 $pgtitle = array(gettext("Interfaces"),gettext("QinQ"), gettext("Edit"));
+$shortcut_section = "interfaces";
 
 require("guiconfig.inc");
 
diff --git a/usr/local/www/interfaces_vlan.php b/usr/local/www/interfaces_vlan.php
index 28e25a0565..5333c6c482 100755
--- a/usr/local/www/interfaces_vlan.php
+++ b/usr/local/www/interfaces_vlan.php
@@ -76,6 +76,7 @@ if ($_GET['act'] == "del") {
 
 
 $pgtitle = array(gettext("Interfaces"),gettext("VLAN"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/interfaces_vlan_edit.php b/usr/local/www/interfaces_vlan_edit.php
index b6cea472ae..bed4be874e 100755
--- a/usr/local/www/interfaces_vlan_edit.php
+++ b/usr/local/www/interfaces_vlan_edit.php
@@ -137,6 +137,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Interfaces"),gettext("VLAN"),gettext("Edit"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/interfaces_wireless.php b/usr/local/www/interfaces_wireless.php
index 3e1c755d55..6bcab95a87 100644
--- a/usr/local/www/interfaces_wireless.php
+++ b/usr/local/www/interfaces_wireless.php
@@ -74,6 +74,7 @@ if ($_GET['act'] == "del") {
 
 
 $pgtitle = array(gettext("Interfaces"),gettext("Wireless"));
+$shortcut_section = "wireless";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/load_balancer_monitor.php b/usr/local/www/load_balancer_monitor.php
index bbdc9375fd..0f2bddb04b 100755
--- a/usr/local/www/load_balancer_monitor.php
+++ b/usr/local/www/load_balancer_monitor.php
@@ -86,9 +86,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = array(gettext("Services"),gettext("Load Balancer"),gettext("Monitor"));
-#$statusurl = "status_lb_vs.php";
-$statusurl = "status_lb_pool.php";
-$logurl = "diag_logs_relayd.php";
+$shortcut_section = "relayd";
 
 include("head.inc");
 
diff --git a/usr/local/www/load_balancer_monitor_edit.php b/usr/local/www/load_balancer_monitor_edit.php
index f7f916b27c..e5ed0ffae2 100755
--- a/usr/local/www/load_balancer_monitor_edit.php
+++ b/usr/local/www/load_balancer_monitor_edit.php
@@ -191,9 +191,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"),gettext("Load Balancer"),gettext("Monitor"),gettext("Edit"));
-#$statusurl = "status_lb_vs.php";
-$statusurl = "status_lb_pool.php";
-$logurl = "diag_logs_relayd.php";
+$shortcut_section = "relayd";
 
 include("head.inc");
 $types = array("icmp" => gettext("ICMP"), "tcp" => gettext("TCP"), "http" => gettext("HTTP"), "https" => gettext("HTTPS"), "send" => gettext("Send/Expect"));
diff --git a/usr/local/www/load_balancer_pool.php b/usr/local/www/load_balancer_pool.php
index 73b4721d11..584d18404e 100755
--- a/usr/local/www/load_balancer_pool.php
+++ b/usr/local/www/load_balancer_pool.php
@@ -95,9 +95,7 @@ for ($i = 0; isset($config['load_balancer']['lbpool'][$i]); $i++) {
 }
 
 $pgtitle = array(gettext("Services"), gettext("Load Balancer"),gettext("Pool"));
-#$statusurl = "status_lb_vs.php";
-$statusurl = "status_lb_pool.php";
-$logurl = "diag_logs_relayd.php";
+$shortcut_section = "relayd";
 
 include("head.inc");
 
diff --git a/usr/local/www/load_balancer_pool_edit.php b/usr/local/www/load_balancer_pool_edit.php
index c237673b9a..252c13ba62 100755
--- a/usr/local/www/load_balancer_pool_edit.php
+++ b/usr/local/www/load_balancer_pool_edit.php
@@ -157,9 +157,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"), gettext("Load Balancer"),gettext("Pool"),gettext("Edit"));
-#$statusurl = "status_lb_vs.php";
-$statusurl = "status_lb_pool.php";
-$logurl = "diag_logs_relayd.php";
+$shortcut_section = "relayd";
 
 include("head.inc");
 
diff --git a/usr/local/www/load_balancer_relay_action.php b/usr/local/www/load_balancer_relay_action.php
index c3c7f2bc47..ce853ca826 100755
--- a/usr/local/www/load_balancer_relay_action.php
+++ b/usr/local/www/load_balancer_relay_action.php
@@ -102,9 +102,7 @@ if ($_GET['act'] == "del") {
 */
 
 $pgtitle = array(gettext("Services"), gettext("Load Balancer"),gettext("Relay Action"));
-#$statusurl = "status_lb_vs.php";
-$statusurl = "status_lb_pool.php";
-$logurl = "diag_logs_relayd.php";
+$shortcut_section = "relayd";
 
 include("head.inc");
 
diff --git a/usr/local/www/load_balancer_relay_action_edit.php b/usr/local/www/load_balancer_relay_action_edit.php
index 52637a5d7f..44f0ecb412 100755
--- a/usr/local/www/load_balancer_relay_action_edit.php
+++ b/usr/local/www/load_balancer_relay_action_edit.php
@@ -178,9 +178,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"), gettext("Load Balancer"),gettext("Relay Action"),gettext("Edit"));
-#$statusurl = "status_lb_vs.php";
-$statusurl = "status_lb_pool.php";
-$logurl = "diag_logs_relayd.php";
+$shortcut_section = "relayd";
 
 include("head.inc");
 	$types = array("http" => gettext("HTTP"), "tcp" => gettext("TCP"), "dns" => gettext("DNS"));
diff --git a/usr/local/www/load_balancer_relay_protocol.php b/usr/local/www/load_balancer_relay_protocol.php
index f989c2a5cb..b25c84095d 100755
--- a/usr/local/www/load_balancer_relay_protocol.php
+++ b/usr/local/www/load_balancer_relay_protocol.php
@@ -98,9 +98,7 @@ if ($_GET['act'] == "del") {
 */
 
 $pgtitle = array(gettext("Services"), gettext("Load Balancer"),gettext("Relay Protocol"));
-#$statusurl = "status_lb_vs.php";
-$statusurl = "status_lb_pool.php";
-$logurl = "diag_logs_relayd.php";
+$shortcut_section = "relayd";
 
 include("head.inc");
 
diff --git a/usr/local/www/load_balancer_relay_protocol_edit.php b/usr/local/www/load_balancer_relay_protocol_edit.php
index 8a2320c22f..9dd02a0302 100755
--- a/usr/local/www/load_balancer_relay_protocol_edit.php
+++ b/usr/local/www/load_balancer_relay_protocol_edit.php
@@ -135,9 +135,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"), gettext("Load Balancer"),gettext("Relay Protocol"),gettext("Edit"));
-#$statusurl = "status_lb_vs.php";
-$statusurl = "status_lb_pool.php";
-$logurl = "diag_logs_relayd.php";
+$shortcut_section = "relayd";
 
 include("head.inc");
 
diff --git a/usr/local/www/load_balancer_setting.php b/usr/local/www/load_balancer_setting.php
index ffe7625f77..6eff1ef080 100755
--- a/usr/local/www/load_balancer_setting.php
+++ b/usr/local/www/load_balancer_setting.php
@@ -96,8 +96,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"),gettext("Load Balancer"),gettext("Settings"));
-$statusurl = "status_lb_pool.php";
-$logurl = "diag_logs_relayd.php";
+$shortcut_section = "relayd";
 
 include("head.inc");
 
diff --git a/usr/local/www/load_balancer_virtual_server.php b/usr/local/www/load_balancer_virtual_server.php
index ef3633b8e5..6ed11d4704 100755
--- a/usr/local/www/load_balancer_virtual_server.php
+++ b/usr/local/www/load_balancer_virtual_server.php
@@ -92,9 +92,7 @@ for ($i = 0; isset($config['load_balancer']['virtual_server'][$i]); $i++) {
 }
 
 $pgtitle = array(gettext("Services"),gettext("Load Balancer"),gettext("Virtual Servers"));
-$statusurl = "status_lb_vs.php";
-#$statusurl = "status_lb_pool.php";
-$logurl = "diag_logs_relayd.php";
+$shortcut_section = "relayd-virtualservers";
 
 include("head.inc");
 
diff --git a/usr/local/www/load_balancer_virtual_server_edit.php b/usr/local/www/load_balancer_virtual_server_edit.php
index 66415f1aed..01b0ef341c 100755
--- a/usr/local/www/load_balancer_virtual_server_edit.php
+++ b/usr/local/www/load_balancer_virtual_server_edit.php
@@ -134,9 +134,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"),gettext("Load Balancer"),gettext("Virtual Server"),gettext("Edit"));
-$statusurl = "status_lb_vs.php";
-#$statusurl = "status_lb_pool.php";
-$logurl = "diag_logs_relayd.php";
+$shortcut_section = "relayd-virtualservers";
 
 include("head.inc");
 
diff --git a/usr/local/www/services_captiveportal.php b/usr/local/www/services_captiveportal.php
index de2fe1d55e..f60819158d 100755
--- a/usr/local/www/services_captiveportal.php
+++ b/usr/local/www/services_captiveportal.php
@@ -38,9 +38,6 @@
 ##|*MATCH=services_captiveportal.php*
 ##|-PRIV
 
-$statusurl = "status_captiveportal.php";
-$logurl = "diag_logs_auth.php";
-
 require_once("guiconfig.inc");
 require_once("functions.inc");
 require_once("filter.inc");
@@ -61,6 +58,7 @@ if (!is_array($config['captiveportal']))
 $a_cp =& $config['captiveportal'];
 
 $pgtitle = array(gettext("Services"),gettext("Captive portal"), $a_cp[$cpzone]['zone']);
+$shortcut_section = "captiveportal";
 
 if ($_GET['act'] == "viewhtml") {
 	if ($a_cp[$cpzone] && $a_cp[$cpzone]['page']['htmltext'])
diff --git a/usr/local/www/services_captiveportal_filemanager.php b/usr/local/www/services_captiveportal_filemanager.php
index 2aa2329207..63768cc60d 100755
--- a/usr/local/www/services_captiveportal_filemanager.php
+++ b/usr/local/www/services_captiveportal_filemanager.php
@@ -49,10 +49,6 @@ function cpelements_sort() {
         usort($config['captiveportal'][$cpzone]['element'],"cpelementscmp");
 }
 
-$statusurl = "status_captiveportal.php";
-$logurl = "diag_logs_auth.php";
-
-
 require("guiconfig.inc");
 require("functions.inc");
 require("filter.inc");
@@ -73,6 +69,7 @@ if (!is_array($config['captiveportal']))
 $a_cp =& $config['captiveportal'];
 
 $pgtitle = array(gettext("Services"),gettext("Captive portal"), $a_cp[$cpzone]['zone']);
+$shortcut_section = "captiveportal";
 
 if (!is_array($a_cp[$cpzone]['element']))
 	$a_cp[$cpzone]['element'] = array();
diff --git a/usr/local/www/services_captiveportal_hostname.php b/usr/local/www/services_captiveportal_hostname.php
index 9bfa129dfd..e7e2cd1a68 100755
--- a/usr/local/www/services_captiveportal_hostname.php
+++ b/usr/local/www/services_captiveportal_hostname.php
@@ -41,9 +41,6 @@
 ##|*MATCH=services_captiveportal_ip.php*
 ##|-PRIV
 
-$statusurl = "status_captiveportal.php";
-$logurl = "diag_logs_auth.php";
-
 require("guiconfig.inc");
 require("functions.inc");
 require("filter.inc");
@@ -64,6 +61,7 @@ if (!is_array($config['captiveportal']))
 $a_cp =& $config['captiveportal'];
 
 $pgtitle = array(gettext("Services"),gettext("Captive portal"), $a_cp[$cpzone]['zone']);
+$shortcut_section = "captiveportal";
 
 if ($_GET['act'] == "del" && !empty($cpzone)) {
 	$a_allowedhostnames =& $a_cp[$cpzone]['allowedhostname'];
diff --git a/usr/local/www/services_captiveportal_hostname_edit.php b/usr/local/www/services_captiveportal_hostname_edit.php
index f67ac6e680..a5c6a141f9 100755
--- a/usr/local/www/services_captiveportal_hostname_edit.php
+++ b/usr/local/www/services_captiveportal_hostname_edit.php
@@ -50,9 +50,6 @@ function allowedhostnames_sort() {
 	usort($config['captiveportal'][$cpzone]['allowedhostname'],"allowedhostname");
 }
 
-$statusurl = "status_captiveportal.php";
-$logurl = "diag_logs_auth.php";
-
 require("guiconfig.inc");
 require("functions.inc");
 require("filter.inc");
@@ -60,6 +57,7 @@ require("shaper.inc");
 require("captiveportal.inc");
 
 $pgtitle = array(gettext("Services"),gettext("Captive portal"),gettext("Edit allowed Hostname"));
+$shortcut_section = "captiveportal";
 
 $cpzone = $_GET['zone'];
 if (isset($_POST['zone']))
diff --git a/usr/local/www/services_captiveportal_ip.php b/usr/local/www/services_captiveportal_ip.php
index b8e4dc4080..573fdc3ad5 100755
--- a/usr/local/www/services_captiveportal_ip.php
+++ b/usr/local/www/services_captiveportal_ip.php
@@ -39,9 +39,6 @@
 ##|*MATCH=services_captiveportal_ip.php*
 ##|-PRIV
 
-$statusurl = "status_captiveportal.php";
-$logurl = "diag_logs_auth.php";
-
 require("guiconfig.inc");
 require("functions.inc");
 require("filter.inc");
@@ -62,6 +59,7 @@ if (!is_array($config['captiveportal']))
 $a_cp =& $config['captiveportal'];
 
 $pgtitle = array(gettext("Services"),gettext("Captive portal"), $a_cp[$cpzone]['zone']);
+$shortcut_section = "captiveportal";
 
 if ($_GET['act'] == "del") {
 	$a_allowedips =& $config['captiveportal'][$cpzone]['allowedip'];
diff --git a/usr/local/www/services_captiveportal_ip_edit.php b/usr/local/www/services_captiveportal_ip_edit.php
index e397b211bc..d6d3570101 100755
--- a/usr/local/www/services_captiveportal_ip_edit.php
+++ b/usr/local/www/services_captiveportal_ip_edit.php
@@ -51,9 +51,6 @@ function allowedips_sort() {
 	usort($config['captiveportal'][$cpzone]['allowedip'],"allowedipscmp");
 }
 
-$statusurl = "status_captiveportal.php";
-$logurl = "diag_logs_auth.php";
-
 require("guiconfig.inc");
 require("functions.inc");
 require("filter.inc");
@@ -61,6 +58,7 @@ require("shaper.inc");
 require("captiveportal.inc");
 
 $pgtitle = array(gettext("Services"),gettext("Captive portal"),gettext("Edit allowed IP address"));
+$shortcut_section = "captiveportal";
 
 $cpzone = $_GET['zone'];
 if (isset($_POST['zone']))
diff --git a/usr/local/www/services_captiveportal_mac.php b/usr/local/www/services_captiveportal_mac.php
index 2aa6101ecc..a98138aa6c 100755
--- a/usr/local/www/services_captiveportal_mac.php
+++ b/usr/local/www/services_captiveportal_mac.php
@@ -38,9 +38,6 @@
 ##|*MATCH=services_captiveportal_mac.php*
 ##|-PRIV
 
-$statusurl = "status_captiveportal.php";
-$logurl = "diag_logs_auth.php";
-
 require("guiconfig.inc");
 require("functions.inc");
 require("filter.inc");
@@ -61,6 +58,7 @@ if (!is_array($config['captiveportal']))
 $a_cp =& $config['captiveportal'];
 
 $pgtitle = array(gettext("Services"),gettext("Captive portal"), $a_cp[$cpzone]['zone']);
+$shortcut_section = "captiveportal";
 
 if ($_POST) {
 
diff --git a/usr/local/www/services_captiveportal_mac_edit.php b/usr/local/www/services_captiveportal_mac_edit.php
index dc9f2a1307..e4bf5a4b1b 100755
--- a/usr/local/www/services_captiveportal_mac_edit.php
+++ b/usr/local/www/services_captiveportal_mac_edit.php
@@ -48,9 +48,6 @@ function passthrumacs_sort() {
         usort($config['captiveportal'][$cpzone]['passthrumac'],"passthrumacscmp");
 }
 
-$statusurl = "status_captiveportal.php";
-$logurl = "diag_logs_auth.php";
-
 require("guiconfig.inc");
 require("functions.inc");
 require("filter.inc");
@@ -58,6 +55,7 @@ require("shaper.inc");
 require("captiveportal.inc");
 
 $pgtitle = array(gettext("Services"),gettext("Captive portal"),gettext("Edit pass-through MAC address"));
+$shortcut_section = "captiveportal";
 
 $cpzone = $_GET['zone'];
 if (isset($_POST['zone']))
diff --git a/usr/local/www/services_captiveportal_vouchers.php b/usr/local/www/services_captiveportal_vouchers.php
index d2f674a313..2bfeaa7b06 100644
--- a/usr/local/www/services_captiveportal_vouchers.php
+++ b/usr/local/www/services_captiveportal_vouchers.php
@@ -36,9 +36,6 @@
 ##|*MATCH=services_captiveportal_vouchers.php*
 ##|-PRIV
 
-$statusurl = "status_captiveportal_vouchers.php";
-$logurl = "diag_logs_auth.php";
-
 $cpzone = $_GET['zone'];
 if (isset($_POST['zone']))
         $cpzone = $_POST['zone'];
@@ -83,6 +80,7 @@ if (!is_array($config['voucher']))
 	$config['voucher'] = array();
 
 $pgtitle = array(gettext("Services"), gettext("Captive portal"), gettext("Vouchers"), $a_cp[$cpzone]['zone']);
+$shortcut_section = "captiveportal-vouchers";
 
 if (!is_array($config['voucher'][$cpzone]['roll'])) 
 	$config['voucher'][$cpzone]['roll'] = array();
diff --git a/usr/local/www/services_captiveportal_vouchers_edit.php b/usr/local/www/services_captiveportal_vouchers_edit.php
index 97e03dd566..a0ca08bf53 100644
--- a/usr/local/www/services_captiveportal_vouchers_edit.php
+++ b/usr/local/www/services_captiveportal_vouchers_edit.php
@@ -35,9 +35,6 @@
 ##|*MATCH=services_captiveportal_vouchers_edit.php*
 ##|-PRIV
 
-$statusurl = "status_captiveportal_vouchers.php";
-$logurl = "diag_logs_auth.php";
-
 require("guiconfig.inc");
 require("functions.inc");
 require("filter.inc");
@@ -46,6 +43,7 @@ require("captiveportal.inc");
 require_once("voucher.inc");
 
 $pgtitle = array(gettext("Services"), gettext("Captive portal"), gettext("Edit Voucher Rolls"));
+$shortcut_section = "captiveportal-vouchers";
 
 $cpzone = $_GET['zone'];
 if (isset($_POST['zone']))
diff --git a/usr/local/www/services_captiveportal_zones.php b/usr/local/www/services_captiveportal_zones.php
index 735cd208a9..27af68629f 100644
--- a/usr/local/www/services_captiveportal_zones.php
+++ b/usr/local/www/services_captiveportal_zones.php
@@ -35,6 +35,7 @@ if ($_GET['act'] == "del" && !empty($_GET['zone'])) {
 }
 
 $pgtitle = array(gettext("Captiveportal"),gettext("Zones"));
+$shortcut_section = "captiveportal";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/services_captiveportal_zones_edit.php b/usr/local/www/services_captiveportal_zones_edit.php
index 7fe16eef94..3c2d759043 100644
--- a/usr/local/www/services_captiveportal_zones_edit.php
+++ b/usr/local/www/services_captiveportal_zones_edit.php
@@ -36,9 +36,6 @@
 ##|*MATCH=services_captiveportal_zones_edit.php*
 ##|-PRIV
 
-$statusurl = "status_captiveportal_zones_edit.php";
-$logurl = "diag_logs_auth.php";
-
 require("guiconfig.inc");
 require("functions.inc");
 require("filter.inc");
@@ -46,6 +43,7 @@ require("shaper.inc");
 require("captiveportal.inc");
 
 $pgtitle = array(gettext("Services"),gettext("Captive portal"),gettext("Edit Zones"));
+$shortcut_section = "captiveportal";
 
 if (!is_array($config['captiveportal']))
         $config['captiveportal'] = array();
diff --git a/usr/local/www/services_dhcp.php b/usr/local/www/services_dhcp.php
index 3895268bee..ba9589732d 100755
--- a/usr/local/www/services_dhcp.php
+++ b/usr/local/www/services_dhcp.php
@@ -431,8 +431,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = array(gettext("Services"),gettext("DHCP server"));
-$statusurl = "status_dhcp_leases.php";
-$logurl = "diag_logs_dhcp.php";
+$shortcut_section = "dhcp";
 
 include("head.inc");
 
diff --git a/usr/local/www/services_dhcp_edit.php b/usr/local/www/services_dhcp_edit.php
index 2869ba270b..7123008cad 100755
--- a/usr/local/www/services_dhcp_edit.php
+++ b/usr/local/www/services_dhcp_edit.php
@@ -191,8 +191,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"),gettext("DHCP"),gettext("Edit static mapping"));
-$statusurl = "status_dhcp_leases.php";
-$logurl = "diag_logs_dhcp.php";
+$shortcut_section = "dhcp";
 
 include("head.inc");
 
diff --git a/usr/local/www/services_dhcp_relay.php b/usr/local/www/services_dhcp_relay.php
index 322580cab7..b2aa0496f8 100755
--- a/usr/local/www/services_dhcp_relay.php
+++ b/usr/local/www/services_dhcp_relay.php
@@ -98,6 +98,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"),gettext("DHCP Relay"));
+$shortcut_section = "dhcp";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/services_dhcpv6.php b/usr/local/www/services_dhcpv6.php
index dcff502922..e2f83f06d4 100644
--- a/usr/local/www/services_dhcpv6.php
+++ b/usr/local/www/services_dhcpv6.php
@@ -365,8 +365,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = array(gettext("Services"),gettext("DHCPv6 server"));
-$statusurl = "status_dhcpv6_leases.php";
-$logurl = "diag_logs_dhcp.php";
+$shortcut_section = "dhcp6";
 
 include("head.inc");
 
diff --git a/usr/local/www/services_dhcpv6_edit.php b/usr/local/www/services_dhcpv6_edit.php
index e219af835f..6e2b1182e9 100644
--- a/usr/local/www/services_dhcpv6_edit.php
+++ b/usr/local/www/services_dhcpv6_edit.php
@@ -173,8 +173,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"),gettext("DHCPv6"),gettext("Edit static mapping"));
-$statusurl = "status_dhcpv6_leases.php";
-$logurl = "diag_logs_dhcp.php";
+$shortcut_section = "dhcp6";
 
 include("head.inc");
 
diff --git a/usr/local/www/services_dhcpv6_relay.php b/usr/local/www/services_dhcpv6_relay.php
index 5e9dab3f7e..e8bb6d3578 100644
--- a/usr/local/www/services_dhcpv6_relay.php
+++ b/usr/local/www/services_dhcpv6_relay.php
@@ -99,6 +99,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"),gettext("DHCPv6 Relay"));
+$shortcut_section = "dhcp6";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/services_dnsmasq.php b/usr/local/www/services_dnsmasq.php
index e4f1f5bac5..8315b9324a 100755
--- a/usr/local/www/services_dnsmasq.php
+++ b/usr/local/www/services_dnsmasq.php
@@ -44,8 +44,6 @@ require_once("functions.inc");
 require_once("filter.inc");
 require_once("shaper.inc");
 
-$shortcut_section = "resolver";
-
 $pconfig['enable'] = isset($config['dnsmasq']['enable']);
 $pconfig['regdhcp'] = isset($config['dnsmasq']['regdhcp']);
 $pconfig['regdhcpstatic'] = isset($config['dnsmasq']['regdhcpstatic']);
@@ -119,6 +117,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = array(gettext("Services"),gettext("DNS forwarder"));
+$shortcut_section = "resolver";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/services_dnsmasq_domainoverride_edit.php b/usr/local/www/services_dnsmasq_domainoverride_edit.php
index 49b16ffc50..74869b4de1 100755
--- a/usr/local/www/services_dnsmasq_domainoverride_edit.php
+++ b/usr/local/www/services_dnsmasq_domainoverride_edit.php
@@ -40,8 +40,6 @@
 
 require("guiconfig.inc");
 
-$shortcut_section = "resolver";
-
 if (!is_array($config['dnsmasq']['domainoverrides'])) {
        $config['dnsmasq']['domainoverrides'] = array();
 }
@@ -118,6 +116,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"),gettext("DNS forwarder"),gettext("Edit Domain Override"));
+$shortcut_section = "resolver";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/services_dnsmasq_edit.php b/usr/local/www/services_dnsmasq_edit.php
index e50ac7f8c9..e38f977938 100755
--- a/usr/local/www/services_dnsmasq_edit.php
+++ b/usr/local/www/services_dnsmasq_edit.php
@@ -39,8 +39,6 @@
 ##|*MATCH=services_dnsmasq_edit.php*
 ##|-PRIV
 
-$shortcut_section = "resolver";
-
 function hostcmp($a, $b) {
 	return strcasecmp($a['host'], $b['host']);
 }
@@ -166,6 +164,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"),gettext("DNS forwarder"),gettext("Edit host"));
+$shortcut_section = "resolver";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/services_ntpd.php b/usr/local/www/services_ntpd.php
index 648271cf48..0cbaf2aa3d 100644
--- a/usr/local/www/services_ntpd.php
+++ b/usr/local/www/services_ntpd.php
@@ -69,6 +69,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"),gettext("NTP"));
+$shortcut_section = "ntp";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/status_captiveportal.php b/usr/local/www/status_captiveportal.php
index 658fa8737c..e3474f2d04 100755
--- a/usr/local/www/status_captiveportal.php
+++ b/usr/local/www/status_captiveportal.php
@@ -56,6 +56,7 @@ if ($_GET['act'] == "del" && !empty($cpzone)) {
 }
 
 $pgtitle = array(gettext("Status: Captive portal"));
+$shortcut_section = "captiveportal";
 
 if (!is_array($config['captiveportal']))
         $config['captiveportal'] = array();
diff --git a/usr/local/www/status_captiveportal_test.php b/usr/local/www/status_captiveportal_test.php
index 514fa21c1e..c53227edb9 100644
--- a/usr/local/www/status_captiveportal_test.php
+++ b/usr/local/www/status_captiveportal_test.php
@@ -56,6 +56,7 @@ if (!is_array($config['captiveportal']))
 $a_cp =& $config['captiveportal'];
 
 $pgtitle = array(gettext("Status"), gettext("Captive portal"), gettext("Test Vouchers"), $a_cp[$cpzone]['zone']);
+$shortcut_section = "captiveportal-vouchers";
 
 include("head.inc");
 include("fbegin.inc");
diff --git a/usr/local/www/status_captiveportal_voucher_rolls.php b/usr/local/www/status_captiveportal_voucher_rolls.php
index f066fd7f08..33eae704f8 100644
--- a/usr/local/www/status_captiveportal_voucher_rolls.php
+++ b/usr/local/www/status_captiveportal_voucher_rolls.php
@@ -55,6 +55,7 @@ if (!is_array($config['captiveportal']))
         $config['captiveportal'] = array();
 $a_cp =& $config['captiveportal'];
 $pgtitle = array(gettext("Status"), gettext("Captive portal"), gettext("Voucher Rolls"), $a_cp[$cpzone]['zone']);
+$shortcut_section = "captiveportal-vouchers";
 
 if (!is_array($config['voucher'][$cpzone]['roll'])) {
     $config['voucher'][$cpzone]['roll'] = array();
diff --git a/usr/local/www/status_captiveportal_vouchers.php b/usr/local/www/status_captiveportal_vouchers.php
index 05d534ea77..82daedfac4 100644
--- a/usr/local/www/status_captiveportal_vouchers.php
+++ b/usr/local/www/status_captiveportal_vouchers.php
@@ -55,6 +55,7 @@ if (!is_array($config['captiveportal']))
         $config['captiveportal'] = array();
 $a_cp =& $config['captiveportal'];
 $pgtitle = array(gettext("Status"), gettext("Captive portal"), gettext("Vouchers"), $a_cp[$cpzone]['zone']);
+$shortcut_section = "captiveportal-vouchers";
 
 function clientcmp($a, $b) {
     global $order;
diff --git a/usr/local/www/status_dhcp_leases.php b/usr/local/www/status_dhcp_leases.php
index bba1886c81..c7a0c2d2c3 100755
--- a/usr/local/www/status_dhcp_leases.php
+++ b/usr/local/www/status_dhcp_leases.php
@@ -47,6 +47,7 @@ require("guiconfig.inc");
 require_once("config.inc");
 
 $pgtitle = array(gettext("Status"),gettext("DHCP leases"));
+$shortcut_section = "dhcp";
 
 $leasesfile = "{$g['dhcpd_chroot_path']}/var/db/dhcpd.leases";
 
diff --git a/usr/local/www/status_dhcpv6_leases.php b/usr/local/www/status_dhcpv6_leases.php
index 7711be0eee..ca14830b22 100644
--- a/usr/local/www/status_dhcpv6_leases.php
+++ b/usr/local/www/status_dhcpv6_leases.php
@@ -48,6 +48,7 @@ require("guiconfig.inc");
 require_once("config.inc");
 
 $pgtitle = array(gettext("Status"),gettext("DHCPv6 leases"));
+$shortcut_section = "dhcp6";
 
 $leasesfile = "{$g['dhcpd_chroot_path']}/var/db/dhcpd6.leases";
 
diff --git a/usr/local/www/status_filter_reload.php b/usr/local/www/status_filter_reload.php
index ff05c41791..7b4d2f10e8 100644
--- a/usr/local/www/status_filter_reload.php
+++ b/usr/local/www/status_filter_reload.php
@@ -42,6 +42,7 @@ require_once("guiconfig.inc");
 require_once("functions.inc");
 
 $pgtitle = array(gettext("Status"),gettext("Filter Reload Status"));
+$shortcut_section = "firewall";
 
 if(file_exists("{$g['varrun_path']}/filter_reload_status"))
 	$status = file_get_contents("{$g['varrun_path']}/filter_reload_status");
diff --git a/usr/local/www/status_gateway_groups.php b/usr/local/www/status_gateway_groups.php
index c350946277..6365ef397d 100755
--- a/usr/local/www/status_gateway_groups.php
+++ b/usr/local/www/status_gateway_groups.php
@@ -50,6 +50,7 @@ $changedesc = gettext("Gateway Groups") . ": ";
 $gateways_status = return_gateways_status();
 
 $pgtitle = array(gettext("Status"),gettext("Gateway Groups"));
+$shortcut_section = "gateway-groups";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/status_gateways.php b/usr/local/www/status_gateways.php
index 7d7ebbcc35..0219c954eb 100755
--- a/usr/local/www/status_gateways.php
+++ b/usr/local/www/status_gateways.php
@@ -49,6 +49,7 @@ $now = time();
 $year = date("Y");
 
 $pgtitle = array(gettext("Status"),gettext("Gateways"));
+$shortcut_section = "gateways";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/status_interfaces.php b/usr/local/www/status_interfaces.php
index 9a1c620d61..4b39b7a3fe 100755
--- a/usr/local/www/status_interfaces.php
+++ b/usr/local/www/status_interfaces.php
@@ -57,6 +57,7 @@ if ($_GET['if']) {
 }
 
 $pgtitle = array(gettext("Status"),gettext("Interfaces"));
+$shortcut_section = "interfaces";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/status_ntpd.php b/usr/local/www/status_ntpd.php
index c87d861787..9aa6039b61 100644
--- a/usr/local/www/status_ntpd.php
+++ b/usr/local/www/status_ntpd.php
@@ -92,6 +92,7 @@ foreach ($ntpq_output as $line) {
 }
 
 $pgtitle = array(gettext("Status"),gettext("NTP"));
+$shortcut_section = "ntp";
 include("head.inc");
 ?>
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
diff --git a/usr/local/www/status_wireless.php b/usr/local/www/status_wireless.php
index d8d076a0b1..47da215ff4 100755
--- a/usr/local/www/status_wireless.php
+++ b/usr/local/www/status_wireless.php
@@ -39,6 +39,7 @@
 require_once("guiconfig.inc");
 
 $pgtitle = array(gettext("Status"),gettext("Wireless"));
+$shortcut_section = "wireless";
 include("head.inc");
 
 $if = $_POST['if'];
diff --git a/usr/local/www/system_gateway_groups.php b/usr/local/www/system_gateway_groups.php
index 9d9a38cdf7..d59be30077 100755
--- a/usr/local/www/system_gateway_groups.php
+++ b/usr/local/www/system_gateway_groups.php
@@ -87,7 +87,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = array(gettext("System"),gettext("Gateway Groups"));
-$statusurl = "status_gateway_groups.php";
+$shortcut_section = "gateway-groups";
 
 include("head.inc");
 
diff --git a/usr/local/www/system_gateway_groups_edit.php b/usr/local/www/system_gateway_groups_edit.php
index 4e135a688f..78d919cbc2 100755
--- a/usr/local/www/system_gateway_groups_edit.php
+++ b/usr/local/www/system_gateway_groups_edit.php
@@ -144,7 +144,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("System"),gettext("Gateways"),gettext("Edit gateway"));
-$statusurl = "status_gateway_groups.php";
+$shortcut_section = "gateway-groups";
 
 function build_gateway_protocol_map (&$a_gateways) {
 	$result = array();
diff --git a/usr/local/www/system_gateways.php b/usr/local/www/system_gateways.php
index bfc1700429..e2ac94eb24 100755
--- a/usr/local/www/system_gateways.php
+++ b/usr/local/www/system_gateways.php
@@ -118,7 +118,7 @@ if ($_GET['act'] == "del") {
 
 
 $pgtitle = array(gettext("System"),gettext("Gateways"));
-$statusurl = "status_gateways.php";
+$shortcut_section = "gateways";
 
 include("head.inc");
 
diff --git a/usr/local/www/system_gateways_edit.php b/usr/local/www/system_gateways_edit.php
index b7762d5223..33cb2b3b36 100755
--- a/usr/local/www/system_gateways_edit.php
+++ b/usr/local/www/system_gateways_edit.php
@@ -423,7 +423,7 @@ if ($_POST) {
 
 
 $pgtitle = array(gettext("System"),gettext("Gateways"),gettext("Edit gateway"));
-$statusurl = "status_gateways.php";
+$shortcut_section = "gateways";
 
 include("head.inc");
 
diff --git a/usr/local/www/system_routes.php b/usr/local/www/system_routes.php
index 2d6533ae21..70f251dadd 100755
--- a/usr/local/www/system_routes.php
+++ b/usr/local/www/system_routes.php
@@ -92,7 +92,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = array(gettext("System"),gettext("Static Routes"));
-$statusurl = "diag_routes.php";
+$shortcut_section = "routing";
 
 include("head.inc");
 
diff --git a/usr/local/www/system_routes_edit.php b/usr/local/www/system_routes_edit.php
index 7d3df5e1a7..98e264b913 100755
--- a/usr/local/www/system_routes_edit.php
+++ b/usr/local/www/system_routes_edit.php
@@ -196,6 +196,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("System"),gettext("Static Routes"),gettext("Edit route"));
+$shortcut_section = "routing";
 include("head.inc");
 ?>
 
diff --git a/usr/local/www/vpn_ipsec.php b/usr/local/www/vpn_ipsec.php
index c6d6be80ae..594740b779 100755
--- a/usr/local/www/vpn_ipsec.php
+++ b/usr/local/www/vpn_ipsec.php
@@ -117,8 +117,7 @@ if ($_GET['act'] == "delph2")
 }
 
 $pgtitle = array(gettext("VPN"),gettext("IPsec"));
-$statusurl = "diag_ipsec.php";
-$logurl = "diag_logs_ipsec.php";
+$shortcut_section = "ipsec";
 
 include("head.inc");
 
diff --git a/usr/local/www/vpn_ipsec_keys.php b/usr/local/www/vpn_ipsec_keys.php
index 17a7549110..a52d14c412 100644
--- a/usr/local/www/vpn_ipsec_keys.php
+++ b/usr/local/www/vpn_ipsec_keys.php
@@ -69,8 +69,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = gettext("VPN: IPsec: Keys");
-$statusurl = "diag_ipsec.php";
-$logurl = "diag_logs_ipsec.php";
+$shortcut_section = "ipsec";
 
 include("head.inc");
 
diff --git a/usr/local/www/vpn_ipsec_keys_edit.php b/usr/local/www/vpn_ipsec_keys_edit.php
index 343d0d8517..c20e7b4a48 100644
--- a/usr/local/www/vpn_ipsec_keys_edit.php
+++ b/usr/local/www/vpn_ipsec_keys_edit.php
@@ -112,8 +112,7 @@ if ($_POST) {
 }
 
 $pgtitle = gettext("VPN: IPsec: Edit pre-shared key");
-$statusurl = "diag_ipsec.php";
-$logurl = "diag_logs_ipsec.php";
+$shortcut_section = "ipsec";
 
 include("head.inc");
 
diff --git a/usr/local/www/vpn_ipsec_mobile.php b/usr/local/www/vpn_ipsec_mobile.php
index fe28963698..34987d7e15 100755
--- a/usr/local/www/vpn_ipsec_mobile.php
+++ b/usr/local/www/vpn_ipsec_mobile.php
@@ -218,8 +218,7 @@ if ($_POST['submit']) {
 }
 
 $pgtitle = array(gettext("VPN"),gettext("IPsec"),gettext("Mobile"));
-$statusurl = "diag_ipsec.php";
-$logurl = "diag_logs_ipsec.php";
+$shortcut_section = "ipsec";
 
 include("head.inc");
 ?>
diff --git a/usr/local/www/vpn_ipsec_phase1.php b/usr/local/www/vpn_ipsec_phase1.php
index 8067864412..efdbcfccf6 100644
--- a/usr/local/www/vpn_ipsec_phase1.php
+++ b/usr/local/www/vpn_ipsec_phase1.php
@@ -358,8 +358,7 @@ if ($pconfig['mobile'])
 	$pgtitle = array(gettext("VPN"),gettext("IPsec"),gettext("Edit Phase 1"), gettext("Mobile Client"));
 else
 	$pgtitle = array(gettext("VPN"),gettext("IPsec"),gettext("Edit Phase 1"));
-$statusurl = "diag_ipsec.php";
-$logurl = "diag_logs_ipsec.php";
+$shortcut_section = "ipsec";
 
 
 include("head.inc");
diff --git a/usr/local/www/vpn_ipsec_phase2.php b/usr/local/www/vpn_ipsec_phase2.php
index 74d1359008..7c475c8094 100644
--- a/usr/local/www/vpn_ipsec_phase2.php
+++ b/usr/local/www/vpn_ipsec_phase2.php
@@ -268,8 +268,7 @@ if ($pconfig['mobile'])
     $pgtitle = array(gettext("VPN"),gettext("IPsec"),gettext("Edit Phase 2"), gettext("Mobile Client"));
 else
     $pgtitle = array(gettext("VPN"),gettext("IPsec"),gettext("Edit Phase 2"));
-$statusurl = "diag_ipsec.php";
-$logurl = "diag_logs_ipsec.php";
+$shortcut_section = "ipsec";
 
 
 include("head.inc");
diff --git a/usr/local/www/vpn_l2tp.php b/usr/local/www/vpn_l2tp.php
index 3c62476fca..e5738b3465 100644
--- a/usr/local/www/vpn_l2tp.php
+++ b/usr/local/www/vpn_l2tp.php
@@ -36,6 +36,7 @@
 ##|-PRIV
 
 $pgtitle = array(gettext("VPN"), gettext("L2TP"), gettext("L2TP"));
+$shortcut_section = "l2tps";
 
 require("guiconfig.inc");
 require_once("vpn.inc");
diff --git a/usr/local/www/vpn_l2tp_users.php b/usr/local/www/vpn_l2tp_users.php
index 3393b6e876..58a2ebbce8 100644
--- a/usr/local/www/vpn_l2tp_users.php
+++ b/usr/local/www/vpn_l2tp_users.php
@@ -36,6 +36,7 @@
 ##|-PRIV
 
 $pgtitle = array(gettext("VPN"),gettext("L2TP"),gettext("Users"));
+$shortcut_section = "l2tps";
 
 require("guiconfig.inc");
 require_once("vpn.inc");
diff --git a/usr/local/www/vpn_l2tp_users_edit.php b/usr/local/www/vpn_l2tp_users_edit.php
index 5c4cdc3fb8..28e9707903 100644
--- a/usr/local/www/vpn_l2tp_users_edit.php
+++ b/usr/local/www/vpn_l2tp_users_edit.php
@@ -36,6 +36,7 @@
 ##|-PRIV
 
 $pgtitle = array(gettext("VPN"),gettext("L2TP"),gettext("User"),gettext("Edit"));
+$shortcut_section = "l2tps";
 
 function  l2tpusercmp($a,  $b)  {
 	return  strcasecmp($a['name'],  $b['name']);
diff --git a/usr/local/www/vpn_openvpn_client.php b/usr/local/www/vpn_openvpn_client.php
index 9a33d05fbc..866ad8599e 100644
--- a/usr/local/www/vpn_openvpn_client.php
+++ b/usr/local/www/vpn_openvpn_client.php
@@ -38,8 +38,7 @@ require("guiconfig.inc");
 require_once("openvpn.inc");
 
 $pgtitle = array(gettext("OpenVPN"), gettext("Client"));
-$statusurl = "status_openvpn.php";
-$logurl = "diag_logs_openvpn.php";
+$shortcut_section = "openvpn";
 
 if (!is_array($config['openvpn']['openvpn-client']))
 	$config['openvpn']['openvpn-client'] = array();
diff --git a/usr/local/www/vpn_openvpn_csc.php b/usr/local/www/vpn_openvpn_csc.php
index 91d4ea0f77..18df1d4358 100644
--- a/usr/local/www/vpn_openvpn_csc.php
+++ b/usr/local/www/vpn_openvpn_csc.php
@@ -38,8 +38,7 @@ require("guiconfig.inc");
 require_once("openvpn.inc");
 
 $pgtitle = array(gettext("OpenVPN"), gettext("Client Specific Override"));
-$statusurl = "status_openvpn.php";
-$logurl = "diag_logs_openvpn.php";
+$shortcut_section = "openvpn";
 
 if (!is_array($config['openvpn']['openvpn-csc']))
 	$config['openvpn']['openvpn-csc'] = array();
diff --git a/usr/local/www/vpn_openvpn_server.php b/usr/local/www/vpn_openvpn_server.php
index 18cc8a38f4..de56415008 100644
--- a/usr/local/www/vpn_openvpn_server.php
+++ b/usr/local/www/vpn_openvpn_server.php
@@ -38,8 +38,7 @@ require("guiconfig.inc");
 require_once("openvpn.inc");
 
 $pgtitle = array(gettext("OpenVPN"), gettext("Server"));
-$statusurl = "status_openvpn.php";
-$logurl = "diag_logs_openvpn.php";
+$shortcut_section = "openvpn";
 
 if (!is_array($config['openvpn']['openvpn-server']))
 	$config['openvpn']['openvpn-server'] = array();
diff --git a/usr/local/www/vpn_pppoe.php b/usr/local/www/vpn_pppoe.php
index 52fd3343c6..03547d9e43 100755
--- a/usr/local/www/vpn_pppoe.php
+++ b/usr/local/www/vpn_pppoe.php
@@ -84,6 +84,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = array(gettext("VPN"),gettext("PPPoE"));
+$shortcut_section = "pppoes";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/vpn_pppoe_edit.php b/usr/local/www/vpn_pppoe_edit.php
index 73ed4eb1d3..ce02d128b3 100755
--- a/usr/local/www/vpn_pppoe_edit.php
+++ b/usr/local/www/vpn_pppoe_edit.php
@@ -232,6 +232,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("Services"),gettext("PPPoE Server"), gettext("Edit"));
+$shortcut_section = "pppoes";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/vpn_pptp.php b/usr/local/www/vpn_pptp.php
index 48d0354f1b..81395edf03 100755
--- a/usr/local/www/vpn_pptp.php
+++ b/usr/local/www/vpn_pptp.php
@@ -191,6 +191,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("VPN"),gettext("VPN PPTP"));
+$shortcut_section = "pptps";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/vpn_pptp_users.php b/usr/local/www/vpn_pptp_users.php
index cca35d2194..29a3b407e9 100755
--- a/usr/local/www/vpn_pptp_users.php
+++ b/usr/local/www/vpn_pptp_users.php
@@ -69,6 +69,7 @@ if ($_GET['act'] == "del") {
 }
 
 $pgtitle = array(gettext("VPN"),gettext("VPN PPTP"),gettext("Users"));
+$shortcut_section = "pptps";
 include("head.inc");
 
 ?>
diff --git a/usr/local/www/vpn_pptp_users_edit.php b/usr/local/www/vpn_pptp_users_edit.php
index 7ddf34818b..cf375e8766 100755
--- a/usr/local/www/vpn_pptp_users_edit.php
+++ b/usr/local/www/vpn_pptp_users_edit.php
@@ -133,6 +133,7 @@ if ($_POST) {
 }
 
 $pgtitle = array(gettext("VPN"),gettext("VPN PPTP"),gettext("User"),gettext("Edit"));
+$shortcut_section = "pptps";
 include("head.inc");
 
 ?>
